API Explorer 936 endpoints

Get Api Products

GET /obp/v7.0.0/banks/BANK_ID/api-products

OBPv6.0.0-getApiProducts Roles: CanGetApiProduct(per bank) APIApi-Product

Get Api Products for the Bank.

Optional query parameter: tag — filter to products that have the given tag (e.g. ?tag=featured). Tag matching is case-insensitive.

User Authentication is Optional. The User need not be logged in.

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

BANK_ID: gh.29.uk

JSON response body fields (25)
api_product_attribute_id
api_product_attribute_id
api_product_code
api_product_code
api_product_id
api_product_id
api_products
api_products
bank_id
gh.29.uk
category
collection_id
collection_id
description
Description of the object. Maximum length is 2000. It can be any characters here.
monthly_subscription_amount
monthly_subscription_amount
monthly_subscription_currency
monthly_subscription_currency
more_info_url
www.example.com/abc
name
ACCOUNT_MANAGEMENT_FEE
parent_api_product_code
parent_api_product_code
per_day_call_limit
per_hour_call_limit
per_minute_call_limit
per_month_call_limit
per_second_call_limit
10
per_week_call_limit
tags
Create-My-User
terms_and_conditions_url
www.example.com/xyz
type
value
5987953
attributes
attribute value in form of (name, value)
is_active
false
Example success response
{
  "api_products": [
    {
      "api_product_id": "api-product-id-123",
      "bank_id": "gh.29.uk",
      "api_product_code": "1234BW",
      "parent_api_product_code": "",
      "name": "ApiProduct1",
      "category": "category1",
      "more_info_url": "https://example.com/more-info",
      "terms_and_conditions_url": "https://example.com/terms",
      "description": "Description of the product",
      "collection_id": "collection-abc",
      "monthly_subscription_currency": "EUR",
      "monthly_subscription_amount": "9.99",
      "per_second_call_limit": 10,
      "per_minute_call_limit": 100,
      "per_hour_call_limit": 1000,
      "per_day_call_limit": 10000,
      "per_week_call_limit": 50000,
      "per_month_call_limit": 200000,
      "tags": [
        "featured",
        "beta"
      ],
      "attributes": [
        {
          "bank_id": "gh.29.uk",
          "api_product_code": "1234BW",
          "api_product_attribute_id": "api-product-attribute-id-123",
          "name": "OVERDRAFT_LIMIT",
          "type": "STRING",
          "value": "10000",
          "is_active": true
        }
      ]
    }
  ]
}
Possible errors (3)
  • OBP-50000: Unknown Error.
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
Implemented by OBPv6.0.0 getApiProducts Originally /obp/v6.0.0/banks/BANK_ID/api-products